Bug 111486 (EMFPlus-Rework-Regressions) - [META] Regressions from EMF+ reworking
Summary: [META] Regressions from EMF+ reworking
Status: NEW
Alias: EMFPlus-Rework-Regressions
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on: 109340 112513 113163 117560 118032 111484 111489 111491 111495 111496 112012 112499 112500 113164 113197 113451 113635 114738 117335
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2017-08-08 10:54 UTC by Xisco Faulí
Modified: 2018-06-12 11:54 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Armin Le Grand (CIB) 2017-08-21 17:25:48 UTC
Xisco, thanks for preparing this good overview of regressions, that is really useful!
Comment 2 Commit Notification 2017-10-26 06:41:37 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=08a690cf66d4e798896b61aa5a7a81e81885cd0c

tdf#111486 Fix description of SAL_ macros after EMF+ refactor

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-10-27 18:41:13 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b3ec92eaab075f58472717e87406bdf4c8915f5c

tdf#111486 Fix description of SAL_ macro after EMF refactor

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-11-03 08:46:11 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=64024d7c18bd114eb9958cf80eea9129e09923bd

tdf#111486 Fix component names in SAL_INFOs

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-11-17 15:38:32 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c1c868003e129ff286ccd787e22f1a64a75de58a

tdf#111486 Use buildin methods for displaying matrix

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-11-18 22:37:21 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=63bd6ee2c49f2d0c77c542778fc43ad476f6451b

tdf#111486 Multiply by whole base transformation, and not only by scale of it

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.